package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Description: 检验检查计划明细
 * @author: gaodm
 * @time: 2020/8/31 9:41
 */
@Getter
@Setter
public class PushPlanDetailDTO {
    //检查时间
    private Date examineDate;
    //描述
    private String description;
    //检验
    private List<PushBaseDTO> lis = new ArrayList<>();
    //检查
    private List<PushBaseDTO> pacs = new ArrayList<>();
}
