package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description: 医生病历模板出参
 * @date 2018年11月16日 上午10:40:27
 */
@Getter
@Setter
public class TemplateInfoDTO {
    private Long id;//模板id
    private Date gmtCreate;//创建时间
    private String name;//模板名字
    private Integer sex;//性别
    private Integer age;//年龄
    private String patName;//病人姓名
    private String doctorName;//医生姓名
    private String inquiryCode;//门诊号
    private String cardNo;//卡号
    private String deptName;//科室名称
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inquiryDate;//就诊时间
    private String preview;//预览文字
    private String dataJson;//模板数据
    private String remark;//备注

}
