package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DiseaseConfig;
import com.diagbot.vo.DiseaseConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 诊断映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DiseaseConfigMapper extends BaseMapper<DiseaseConfig> {

    /**
     * 分页查询
     *
     * @param diseaseConfigPageVO
     * @return
     */
    IPage<DiseaseConfig> getPage(@Param("diseaseConfigPageVO") DiseaseConfigPageVO diseaseConfigPageVO);
}
