package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.TransfusionConfig;
import com.diagbot.vo.TransfusionConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 输血映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-08-31
 */
public interface TransfusionConfigMapper extends BaseMapper<TransfusionConfig> {
    /**
     * 分页查询
     *
     * @param transfusionConfigPageVO
     * @return
     */
    IPage<TransfusionConfig> getPage(@Param("transfusionConfigPageVO") TransfusionConfigPageVO transfusionConfigPageVO);
}