package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.DeptConfig;
import com.diagbot.mapper.DeptConfigMapper;
import com.diagbot.service.DeptConfigService;
import com.diagbot.vo.DeptConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 科室映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-12
 */
@Service
public class DeptConfigServiceImpl extends ServiceImpl<DeptConfigMapper, DeptConfig> implements DeptConfigService {
    /**
     * 分页查询
     *
     * @param deptConfigPageVO
     * @return
     */
    public IPage<DeptConfig> getPage(@Param("deptConfigPageVO") DeptConfigPageVO deptConfigPageVO) {
        return baseMapper.getPage(deptConfigPageVO);
    }
}
