package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DrugConfig;
import com.diagbot.vo.DrugConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 药品映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DrugConfigMapper extends BaseMapper<DrugConfig> {
    /**
     * 分页查询
     *
     * @param drugConfigPageVO
     * @return
     */
    IPage<DrugConfig> getPage(@Param("drugConfigPageVO") DrugConfigPageVO drugConfigPageVO);
}
