package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DiseaseConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.DiseaseConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 诊断映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DiseaseConfigService extends IService<DiseaseConfig> {
    /**
     * 分页查询
     *
     * @param diseaseConfigPageVO
     * @return
     */
    IPage<DiseaseConfig> getPage(@Param("diseaseConfigPageVO") DiseaseConfigPageVO diseaseConfigPageVO);
}
